package beilv.vipCardAmountLog.mapper;

import beilv.vipCardAmountLog.domain.VipCardAmountLog;

import java.util.List;
import java.util.Map;

/**
 * 会员卡金额流水Mapper接口
 *
 * @author LG
 * @date 2025-11-18
 */
public interface VipCardAmountLogMapper {
    /**
     * 查询会员卡金额流水
     *
     * @param id 会员卡金额流水主键
     * @return 会员卡金额流水
     */
    public VipCardAmountLog selectVipCardAmountLogById(String id);

    /**
     * 查询会员卡金额流水列表
     *
     * @param vipCardAmountLog 会员卡金额流水
     * @return 会员卡金额流水集合
     */
    public List<VipCardAmountLog> selectVipCardAmountLogList(VipCardAmountLog vipCardAmountLog);

    /**
     * 新增会员卡金额流水
     *
     * @param vipCardAmountLog 会员卡金额流水
     * @return 结果
     */
    public int insertVipCardAmountLog(VipCardAmountLog vipCardAmountLog);

    /**
     * 修改会员卡金额流水
     *
     * @param vipCardAmountLog 会员卡金额流水
     * @return 结果
     */
    public int updateVipCardAmountLog(VipCardAmountLog vipCardAmountLog);

    /**
     * 删除会员卡金额流水
     *
     * @param id 会员卡金额流水主键
     * @return 结果
     */
    public int deleteVipCardAmountLogById(String id);

    /**
     * 批量删除会员卡金额流水
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVipCardAmountLogByIds(String[] ids);

    List<Map<String, Object>> selectVipCardAmountLogListAndOrderInfo(VipCardAmountLog amountLog);
}
